#ifndef POM_EULER_H
#define POM_EULER_H

#include "t3d/t3d.h"
#include "pomStruct.h"

#ifdef __cplusplus
extern "C" {
#endif

extern const POM_EULER_V pomEulerVIdentity;

/* conversion :  POM_EULER_V <-> T3D */
T3D * pomEulerVToT3D (POM_EULER_V *pomEulerV, T3D *t3d);
POM_EULER_V * pomEulerVFromT3D (T3D *t3d, POM_EULER_V *pomEulerV);

/* */
POM_EULER_V * pomEulerVInvert (POM_EULER_V *pomEulerV);
POM_EULER_V * pomEulerVCompIn (POM_EULER_V *aToC, POM_EULER_V *aToB, POM_EULER_V *bToC);
POM_EULER_V * pomEulerVComp (POM_EULER_V *aToB, POM_EULER_V *bToC);

void  pomEulerPointAtoB (POM_EULER *aToB, double pa[3], double pb[3]);

int pomWriteSensorPos(char *file, POM_SENSOR_POS *pos);
int pomReadSensorPos(char *file, POM_SENSOR_POS *pos);

#ifdef __cplusplus
}
#endif

#endif
